Name: libmsn
Summary: Reusable, open-source and fully documented library for MSN
Version: 4.2.1
Release: %mkrel 3
Url: http://sourceforge.net/projects/libmsn
License: GPLv2+
Group: Development/C++
Source0: http://downloads.sourceforge.net/libmsn/%{name}-%{version}.tar.bz2
Patch0: libmsn-4.2.1-include-unistd.patch
BuildRequires: cmake
BuildRequires: openssl-devel
BuildRequires: pkgconfig

%description
Libmsn is a reusable, open-source, fully documented library for 
connecting to Microsoft's MSN Messenger service. 

#-----------------------------------------------------------------------------

%define msn_major 0.3
%define libmsn %mklibname msn %{msn_major}

%package -n %{libmsn}
Summary: %{name} library
Group: System/Libraries
# Fix temporary cooker update issue
Obsoletes: %{_lib}msn0 > 4.0

%description -n %{libmsn}
%{name} library

%files -n %{libmsn}
%{_libdir}/libmsn.so.%{msn_major}*

#-----------------------------------------------------------------------------

%package test
Summary: Connection test utility
Group: Development/C++

%description test
Connection test utility.

%files test
%{_bindir}/*

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/C++
Requires: %{libmsn} = %{version}

%description  devel
Files needed to build applications based on %{name}.

%files devel
%{_libdir}/pkgconfig/*
%{_includedir}/msn
%{_libdir}/libmsn.so

#-----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%cmake
%make

%install
rm -fr %{buildroot}
%makeinstall_std -C build

%clean
rm -rf "%{buildroot}"


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.2.1-3.mga3
+ Revision: 357805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 4.2.1-2.mga3
+ Revision: 341465
- include unistd.h to fix build error

* Sun Nov 27 2011 juancho <juancho> 4.2.1-1.mga2
+ Revision: 172732
- Added sources for 4.2.1
- Updated to 4.2.1
- Removed patch 01_install_xmlParser_header.diff

* Tue Nov 22 2011 juancho <juancho> 4.2-2.mga2
+ Revision: 170973
- Added patch to fix build of kdenetwork (see comment #31 from upstream bug 285803)

* Wed Nov 09 2011 juancho <juancho> 4.2-1.mga2
+ Revision: 165911
- Updated to 4.2 and dropped the two patches.

* Wed Nov 09 2011 juancho <juancho> 4.1-6.mga2
+ Revision: 165716
- Added patch to fix MSN connection problem with kopete that started some days ago. CCBUG:3301

* Thu Jan 20 2011 ahmad <ahmad> 4.1-5.mga1
+ Revision: 26374
- imported package libmsn

